package sample.game.main;

import library.core.mainAI.CoreActivity;
import library.core.mainAI.RiverCrossingAI;
import sample.game.builder.HowToPlayBuilder;
import sample.game.controller.HowToPlayController;
import android.content.Intent;
import android.os.Bundle;
import android.view.MotionEvent;

public class HowToPlay extends CoreActivity{

	private HowToPlayBuilder builder;
	private HowToPlayController controller;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
			super.onCreate(savedInstanceState);

			screen.setScreenSize(1280, 720);


			builder=new HowToPlayBuilder(objectFactory);

	}



	@Override
	protected void update(float deltaTime) {

		if(controller!=null){
			controller.update(deltaTime);
		}

	}

	@Override
	protected void touch(MotionEvent event) {
		// TODO 自動生成されたメソッド・スタブ

	}

	@Override
	protected void loadSe() {
		// TODO 自動生成されたメソッド・スタブ

	}

	public void startTitle(){
		Intent intent = new Intent(HowToPlay.this,UserGameTitle.class);
		RiverCrossingAI.changeActivity();
		startActivity(intent);
	}


	@Override
	protected void screenLoadEnd() {
		controller=builder.build(this);
	}

}
